/*
Add transition to containers so they can push in and out.
*/
#layout,
#menu,
.menu-link {
	-webkit-transition: all 0.2s ease-out;
	-moz-transition: all 0.2s ease-out;
	-ms-transition: all 0.2s ease-out;
	-o-transition: all 0.2s ease-out;
	transition: all 0.2s ease-out;
	z-index:999;
}
/*
This is the parent `<div>` that contains the menu and the content area.
*/
/*
The content `<div>` is where all your content goes.
*/
/*
The `#menu` `<div>` is the parent `<div>` that contains the `.pure-menu` that
appears on the right side of the page.
*/
#layout {
    position: relative;
    padding-right: 0;
}
    #layout.active #menu {
	right: 200px;
	width: 200px;
	background: rgba(20%,20%,20%,0.9);
    }

    #layout.active .menu-link {
        right: 200px;
    }

 /* 展開收合效果 */
.slide_toggle {
	text-align: left;
	cursor: pointer;
	font-weight: bold;
	/* 收合提示字串區塊, 還可加入自訂 CSS 效果 */
	line-height: 30px;
	background-color: #0B7AF7;
	font-size: 16px;
	color: #FFFFFF;
	text-indent: 5px;
	border-top-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 2px;
	border-top-style: solid;
	border-bottom-style: solid;
	border-left-style: solid;
	border-top-color: #333333;
	border-bottom-color: #333333;
	border-left-color: #333333;
	-webkit-border-radius: 5px;
	-webkit-border-top-right-radius: 15px;
	-webkit-border-bottom-left-radius: 15px;
	-moz-border-radius: 5px;
	-moz-border-radius-topright: 15px;
	-moz-border-radius-bottomleft: 15px;
	border-radius: 5px;
	border-top-right-radius: 15px;
	border-bottom-left-radius: 15px;
	width: 180px;
}
.slide_toggle + div {
	display: none;/* 隱藏註解文字區塊, 請加入自訂 CSS 效果 */
	font-size: 14px;
	font-weight: bold;
	text-indent: 10px;
}
.slide_toggle + div li{
	text-align: left;
	line-height:24px;
	font-size: 14px;
	width: 170px;
	-webkit-border-radius: 5px;
	-webkit-border-top-right-radius: 15px;
	-webkit-border-bottom-left-radius: 15px;
	-moz-border-radius: 5px;
	-moz-border-radius-topright: 15px;
	-moz-border-radius-bottomleft: 15px;
	border-radius: 5px;
	border-top-right-radius: 15px;
	border-bottom-left-radius: 15px;
	width: 180px;
	color: #bbb;
}
.slide_toggle + div li:hover{
	text-align: left;
	line-height:24px;
	font-size: 14px;
	color: #000000;
	background-color: #FFF;
}
#menu {
	margin-right: -200px; /* "#menu" width */
	width: 200px;
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	z-index: 1000; /* so the menu or its navicon stays above all content */
	background: #191818;
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;
	text-align: center;
}
    /*
    All anchors inside the menu should be styled like this.
    */
    #menu a {
	color: #333;
	border: none;
	padding-top: 0em;
	padding-bottom: 0em;
    }
    /*
    Remove all background/borders, since we are applying them to #menu.
    */
    /*
    Add that light border to separate items into groups.
    */
/* -- Dynamic Button For Responsive Menu -------------------------------------*/

/*
The button to open/close the Menu is custom-made and not part of Pure. Here's
how it works:
*/

/*
`.menu-link` represents the responsive menu toggle that shows/hides on
small screens.
*/
.menu-link {
    position: fixed;
    display: block;
    top: 0;
    right: 0; /* "#menu width" */
    background: #333;
    font-size: 10px; /* change this value to increase/decrease button size */
    z-index: 10;
    width: 2em;
    height: 0px;
    padding: 2.1em 1.6em;
}

    .menu-link:hover,
    .menu-link:focus {
        background: #333;
    }

    .menu-link span {
        position: relative;
        display: block;
    }

    .menu-link span,
    .menu-link span:before,
    .menu-link span:after {
        background-color: #fff;
        width: 100%;
        height: 0.2em;
    }

        .menu-link span:before,
        .menu-link span:after {
            position: absolute;
            margin-top: -0.6em;
            content: " ";
        }

        .menu-link span:after {
            margin-top: 0.6em;
        }

		.menu-link.active span {
            background: transparent;
        }
/* ↓↓↓新增或已修改的內容↓↓↓ */	
            .menu-link.active span:before {
                -webkit-transform: rotate(45deg) translate(.5em, .4em);
                   -moz-transform: rotate(45deg) translate(.5em, .4em);
                    -ms-transform: rotate(45deg) translate(.5em, .4em);
                     -o-transform: rotate(45deg) translate(.5em, .4em);
                        transform: rotate(45deg) translate(.5em, .4em);
            }

            .menu-link.active span:after {
                -webkit-transform: rotate(-45deg) translate(.4em, -.3em);
                   -moz-transform: rotate(-45deg) translate(.4em, -.3em);
                    -ms-transform: rotate(-45deg) translate(.4em, -.3em);
                     -o-transform: rotate(-45deg) translate(.4em, -.3em);
                        transform: rotate(-45deg) translate(.4em, -.3em);
            }
/* ↑↑↑新增或已修改的內容↑↑↑ */	


/* -- Responsive Styles (Media Queries) ------------------------------------- */

/*
Hides the menu at `480px`, but modify this based on your app's needs.
*/
@media (min-width: 720px) {


    #layout {
        padding-right: 0px; /* right col width "#menu" */
        right: 0;
    }
    #menu {
       display: none;
    }
    .menu-link {
        position: fixed;
        right: 200px;
        display: none;
    }

    #layout.active .menu-link {
        right: 200px;
    }

}

